module(...)
--auto generate data
NPC={
	[1001]={
		diglogface=0,
		event=1001,
		grade=1,
		id=1001,
		lifeTime=0,
		modelId=502,
		mutateColor={},
		mutateTexture=0,
		name=[[Project X 1]],
		nameType=1,
		ornamentId=0,
		rotateY=-160.0,
		scale=0.0,
		sceneId=1001,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=5.5,
		y=3.8,
		z=0.0,
	},
	[1002]={
		diglogface=0,
		event=1002,
		grade=1,
		id=1002,
		lifeTime=0,
		modelId=502,
		mutateColor={},
		mutateTexture=0,
		name=[[Project X 2]],
		nameType=1,
		ornamentId=0,
		rotateY=160.0,
		scale=0.0,
		sceneId=1001,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=12.5,
		y=7.4,
		z=0.0,
	},
	[1003]={
		diglogface=0,
		event=1003,
		grade=1,
		id=1003,
		lifeTime=0,
		modelId=502,
		mutateColor={},
		mutateTexture=0,
		name=[[Project X 3]],
		nameType=1,
		ornamentId=0,
		rotateY=-144.0,
		scale=0.0,
		sceneId=1001,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=19.0,
		y=11.8,
		z=0.0,
	},
	[1004]={
		diglogface=0,
		event=1004,
		grade=1,
		id=1004,
		lifeTime=0,
		modelId=502,
		mutateColor={},
		mutateTexture=0,
		name=[[Project X 4]],
		nameType=1,
		ornamentId=0,
		rotateY=50.0,
		scale=0.0,
		sceneId=1001,
		title=[[]],
		tollgateId=0,
		type=3,
		wpmodel=0,
		x=23.4,
		y=14.5,
		z=0.0,
	},
}

MINIMAP={
	[1001]={
		diglogface=0,
		id=1001,
		mapId=200100,
		modelId=502,
		name=[[Project X 1]],
		nameType=1,
		type=[[npc]],
		x=5.5,
		y=3.8,
		z=0.0,
	},
	[1002]={
		diglogface=0,
		id=1002,
		mapId=200100,
		modelId=502,
		name=[[Project X 2]],
		nameType=1,
		type=[[npc]],
		x=12.5,
		y=7.4,
		z=0.0,
	},
	[1003]={
		diglogface=0,
		id=1003,
		mapId=200100,
		modelId=502,
		name=[[Project X 3]],
		nameType=1,
		type=[[npc]],
		x=19.0,
		y=11.8,
		z=0.0,
	},
	[1004]={
		diglogface=0,
		id=1004,
		mapId=200100,
		modelId=502,
		name=[[Project X 4]],
		nameType=1,
		type=[[npc]],
		x=23.4,
		y=14.5,
		z=0.0,
	},
}

REWARD={
	[1]={amount=1,bind=0,id=1,sid=[[12004]],stype=[[Normal]],},
	[2]={amount=1,bind=0,id=2,sid=[[11001]],stype=[[Normal]],},
	[3]={amount=1,bind=0,id=3,sid=[[11010]],stype=[[Normal]],},
	[4]={amount=1,bind=0,id=4,sid=[[11016]],stype=[[Normal]],},
	[5]={amount=1,bind=0,id=5,sid=[[12004]],stype=[[Hard]],},
	[6]={amount=1,bind=0,id=6,sid=[[11001]],stype=[[Hard]],},
	[7]={amount=1,bind=0,id=7,sid=[[11010]],stype=[[Hard]],},
	[8]={amount=1,bind=0,id=8,sid=[[11016]],stype=[[Hard]],},
	[9]={amount=1,bind=0,id=9,sid=[[12004]],stype=[[Hell]],},
	[10]={amount=1,bind=0,id=10,sid=[[11001]],stype=[[Hell]],},
	[11]={amount=1,bind=0,id=11,sid=[[11010]],stype=[[Hell]],},
	[12]={amount=1,bind=0,id=12,sid=[[11016]],stype=[[Hell]],},
	[13]={amount=4,bind=0,id=13,sid=[[12004]],stype=[[Rank 1]],},
	[14]={amount=3,bind=0,id=14,sid=[[12004]],stype=[[Rank 2]],},
	[15]={amount=2,bind=0,id=15,sid=[[12004]],stype=[[Rank 3]],},
	[16]={amount=1,bind=0,id=16,sid=[[12004]],stype=[[Rank 4]],},
}

BossDesc={
	[1001]={
		bossid=1001,
		content=[[skip the opponent's DEF when critically CRIT]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Erze]],
		shape=501,
	},
	[1002]={
		bossid=1002,
		content=[[When an ally dies, ATK will increase]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Rehan]],
		shape=507,
	},
	[1003]={
		bossid=1003,
		content=[[CRIT deals extra damage to enemies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Europa]],
		shape=301,
	},
	[1004]={
		bossid=1004,
		content=[[Chance of attacking CRIT or increasing HP for the opponent]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Europa]],
		shape=412,
	},
	[1005]={
		bossid=1005,
		content=[[Every end turn can increase ATK]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Shin]],
		shape=502,
	},
	[1006]={
		bossid=1006,
		content=[[Damage done will be converted into HP for allies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Alice]],
		shape=413,
	},
	[1007]={
		bossid=1007,
		content=[[When you die, you will automatically deal damage to the enemy]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Theria]],
		shape=513,
	},
	[1008]={
		bossid=1008,
		content=[[ATK chance will joke the enemy]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Kibera]],
		shape=308,
	},
	[1009]={
		bossid=1009,
		content=[[Can cause all allies to take damage together]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Callisto]],
		shape=415,
	},
	[1010]={
		bossid=1010,
		content=[[Shadow Dream summoning can have the chance of dealing the enemy fall into deep sleep]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Loman]],
		shape=416,
	},
	[1011]={
		bossid=1011,
		content=[[Attack chance reduces enemy's speed]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Lei]],
		shape=414,
	},
	[1012]={
		bossid=1012,
		content=[[Add counter-control buff to allies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Mitron]],
		shape=417,
	},
	[1013]={
		bossid=1013,
		content=[[Can increase the SPD of allies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Ryan]],
		shape=410,
	},
	[1014]={
		bossid=1014,
		content=[[Can sacrify HP to increase our allied SP]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Clause]],
		shape=404,
	},
	[1015]={
		bossid=1015,
		content=[[Attacking has a chance of making enemy be poisoned]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Grandiel]],
		shape=403,
	},
	[1016]={
		bossid=1016,
		content=[[Can add the shield for all team allies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Zero]],
		shape=401,
	},
	[1021]={
		bossid=1021,
		content=[[When attacking, can drain the enemy's HP]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Isaiah]],
		shape=303,
	},
	[1022]={
		bossid=1022,
		content=[[Enemies with higher HP can take extra damage]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Oddy]],
		shape=313,
	},
	[1023]={
		bossid=1023,
		content=[[Can accumulate power to greatly increase CRIT rate]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Natthan]],
		shape=316,
	},
	[1024]={
		bossid=1024,
		content=[[When attacking, there is a chance to attack continuously]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Ezekiel]],
		shape=314,
	},
	[1025]={
		bossid=1025,
		content=[[Deal extra damage to low HP enemies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Ronan]],
		shape=409,
	},
	[1026]={
		bossid=1026,
		content=[[Each round can remove allied debuffs]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Lowen]],
		shape=505,
	},
	[1027]={
		bossid=1027,
		content=[[Deals extra damage to summoned units]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Laudia]],
		shape=514,
	},
	[1028]={
		bossid=1028,
		content=[[After death persists for 2 rounds with the soul status]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Ranzal]],
		shape=503,
	},
	[1029]={
		bossid=1029,
		content=[[Marking an enemy makes it take extra damage from DaoHe]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Lire]],
		shape=402,
	},
	[1030]={
		bossid=1030,
		content=[[Full attack has chance to stun the enemy]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Xeraha]],
		shape=302,
	},
	[1031]={
		bossid=1031,
		content=[[Full attack can remove enemy buffs]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Mediana]],
		shape=506,
	},
	[1032]={
		bossid=1032,
		content=[[When attacking, there is a chance of dealing the enemy Silent]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Nerdick]],
		shape=509,
	},
	[1033]={
		bossid=1033,
		content=[[Attack can be accompanied by Reflection for the enemy]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Joe]],
		shape=504,
	},
	[1034]={
		bossid=1034,
		content=[[Can summon dead enemies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Yotsuyu]],
		shape=508,
	},
	[1035]={
		bossid=1035,
		content=[[Can silen allies or enemies and increase our attack]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Nyx]],
		shape=312,
	},
	[1036]={
		bossid=1036,
		content=[[Can restore a large amount of HP to all allies]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Lucikiel]],
		shape=407,
	},
	[1037]={
		bossid=1037,
		content=[[Can bring allies back to life, attack with the effect of Healing Banning]],
		desc=[[◇Grade: Elite Hero]],
		name=[[Dio]],
		shape=311,
	},
	[1041]={
		bossid=1041,
		content=[[Fast speed]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-Shooter]],
		shape=130,
	},
	[1042]={
		bossid=1042,
		content=[[Shadow Dream controls the Seal]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-Star Hunting]],
		shape=130,
	},
	[1043]={
		bossid=1043,
		content=[[The Demon takes CRIT to deal the damage]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-XiuLuo]],
		shape=150,
	},
	[1044]={
		bossid=1044,
		content=[[Strong DEF]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-Paladin]],
		shape=150,
	},
	[1045]={
		bossid=1045,
		content=[[Bloodthirsty Demon]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-Magic Blade]],
		shape=110,
	},
	[1046]={
		bossid=1046,
		content=[[Perfect Leader]],
		desc=[[◇Grade: Illustrated BOSS]],
		name=[[Project X-Azure Knight]],
		shape=110,
	},
	[1051]={
		bossid=1051,
		content=[[Attack on Super powerful multi-wave, with Defensive Breaking effect]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Lass]],
		shape=305,
	},
	[1052]={
		bossid=1052,
		content=[[Attack on multiple waves to kill an enemy]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Elesis]],
		shape=306,
	},
	[1053]={
		bossid=1053,
		content=[[Attack with allies, kill damage spreads]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Shuu]],
		shape=510,
	},
	[1054]={
		bossid=1054,
		content=[[After being attacked, the skill can attack more enemies]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Michael]],
		shape=512,
	},
	[1055]={
		bossid=1055,
		content=[[Reduce Enemies' SP, Increase Allies' SP]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Rephy]],
		shape=405,
	},
	[1056]={
		bossid=1056,
		content=[[Seal the enemy's Passive Skill and Rune effect]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Pietro]],
		shape=511,
	},
	[1057]={
		bossid=1057,
		content=[[Summon Elves, Allies attack will restore HP]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Naveed]],
		shape=315,
	},
	[1058]={
		bossid=1058,
		content=[[Single turn Staminaens Attack, double turn enhances Defense]],
		desc=[[◇Grade: Legendary Hero]],
		name=[[Marth]],
		shape=418,
	},
}
